function [ data] = get_continuous_contracts( csymbol,start_date,end_date )
%% 
global csdk
if isempty(csdk)
    data = [];
    disp('token');
    return;
end
if ~exist('csymbol','var')
    disp ('cellʽsymbol');
end
if ~iscell(csymbol)
    disp ('symbolsΪcellʽ');
end
symbols_u = csymbol{1};
for i=2:length(csymbol)
    symbols_u = strcat(symbols_u,',',symbols{i});
end
csymbol = symbols_u;
if ~exist('start_date','var')
    start_date= '';
end
if ~exist('end_date','var')
    end_date = '';
end
data_c = GMSDK.GMApi.GetContinuousContracts(csymbol,start_date,end_date);% Ҫƴ
if data_c.status~=0
sprintf('ӿڵô %d',data_c.status)
end
[ data] = Table2self(data_c.data);
end
function [ data] = Table2self( table)
%% ṹתΪcellṹ
lt = table.Rows.Count;
if lt==0
    data=[];
    return
end
lc = table.Rows.Count;
map_l = table.Columns.Count;
info =cell(1,map_l);
data_c = cell (lc,map_l);
% ȡsymbolsб,timeб,Ϊֶǲܿȱ
for j = 1:map_l
    info{j} = char(table.Columns.Item(j-1).ColumnName);
end
for i=1:lc
    table_u=table.Rows.Item(i-1);
    for j = 1:map_l
        if ismember(info(j),{'symbol'})
            data_c{i,j} = char(table_u.ItemArray(j));
        end
        if ismember(info(j),{'created_at'})
            data_c{i,j} = char(table_u.ItemArray(j).ToString('yyyy-MM-dd'));
        end
    end
end
data=[info;data_c];
end

