function [ data] = get_instruments( symbols ,exchanges, sec_types, fields)
%% ѯϸױĵĻϢ
global csdk
if isempty(csdk)
    data = [];
    disp('token');
    return;
end
if nargin <1
   disp('һ') 
end
if isempty(symbols)
    symbols{1} = [];
end
if ~exist('exchanges','var')
    exchanges = [];
end
if ~exist('sec_types','var')
    sec_types = [];
end
if ~exist('fields','var')
    fields = [];
end
symbols_u = symbols{1};
for i=2:length(symbols)
    symbols_u = strcat(symbols_u,',',symbols{i});
end
switch sec_types
    case 1
        sec_types = 'stock';
    case 2
        sec_types = 'fund';
    case 3   
        sec_types = 'index';
    case 4    
        sec_types = 'future';
    case 5   
        sec_types = 'option';
    case 10    
        sec_types = 'confuture';
    otherwise
        sec_types = [];
end
map = {'symbol','sec_level','is_suspended','multiplier','margin_ratio','settle_price','position','pre_close','pre_settle','upper_limit','lower_limit','adj_factor','created_at'};
map_u = map;
if ~isempty(fields)
    fields_u = fields{1};
    for i = 2:length(fields)
        fields_u = strcat(fields_u,',',fields{i});
    end
else
    fields_u = fields;
end
data_c=GMSDK.GMApi.GetInstruments(symbols_u,exchanges,sec_types, fields_u);
if data_c.status~=0
sprintf('ӿڵô %d',data_c.status)
end
[ data] = Table2self(data_c.data,map);
end
function [ data] = Table2self( table ,map)
%% ṹתΪcellṹ
lt = table.Rows.Count;
if lt==0
    data=[];
    info = ('Ϊ');
    return
end
lc = table.Rows.Count;
map_l = table.Columns.Count;
info =cell(1,map_l);
data_c = cell (lc,map_l);
% ȡsymbolsб,timeб,Ϊֶǲܿȱ
for j = 1:map_l
    info{j} = char(table.Columns.Item(j-1).ColumnName);
end
for i=1:lc
    table_u=table.Rows.Item(i-1);
    for j = 1:map_l
        if ismember(map(j),{'symbol'})
            data_c{i,j} = char(table_u.ItemArray(j));
        end
        if ismember(map(j),{'sec_level','is_suspended','multiplier','margin_ratio','settle_price','position','pre_close','pre_settle','upper_limit','lower_limit','adj_factor'})
            data_c{i,j} = table_u.ItemArray(j);
        end
        if ismember(map(j),{'created_at'})
            data_c{i,j} = char(table_u.ItemArray(j).ToString('yyyy-MM-dd'));
        end
    end
end

data=data_c;
data = [info;data];
end


