function [ ] = OnAccountStatus( source, arg )
%% ˻״̬仯
global event
global context
if context.event.AccountStatus ==1
    event.AccountStatus.flag =1;
    [ report,info ] = act2table( arg.rpt );
    event.AccountStatus.data = [info;report];
    Run_main();
    event.AccountStatus.flag =0;
    event.AccountStatus.data = [];
end

end
function [ report,info ]=act2table(rpt)
info={'strategyId','accountId','accountName','clOrdId','orderId','execId','symbol','positionEffect','side',...
    'ordRejReason','ordRejReasonDetail','execType','price','volume','amount','commission','cost','createdAt'};
l_info=length(info);
report = cell(1,l_info);
for i = 1:l_info
    g = info{i};
    if ismember(g,{'strategyId', 'accountId','accountName', 'clOrdId', 'orderId', 'execId', 'symbol','ordRejReasonDetail'})
        try
            report{i} = char(rpt.(g));
        catch
            report{i} = [];
        end
    else
        if ismember(g,{'createdAt', 'updatedAt'})
        try
            report{i} = char(rpt.(g).ToString('yyyy-MM-dd HH:mm:ss'));
        catch
            report{i}= [];
        end
        else
            try
            report{i} =rpt.(g);
            catch
            report{i} = [];
            end
        end
    end
end
end 
