function [ order] = order2table( order_s )
%% orderṹתΪṹ
info={'strategyId', 'accountId', 'accountName', 'clOrdId', 'orderId', 'exOrdId', 'symbol', 'side', 'positionEffect', 'positionSide',...
    'orderType', 'orderDuration', 'orderQualifier', 'orderSrc', 'status', 'ordRejReason', 'ordRejReasonDetail', 'price', 'stopPrice', ...
    'orderStyle', 'volume', 'value', 'percent', 'targetVolume', 'targetValue', 'targetPercent', 'filledVolume', 'filledVwap', 'filledAmount', 'filledCommission','createdAt', 'updatedAt'};
l_info=length(info);
order = cell(1,l_info);
for i = 1:l_info
    g = info{i};
    if ismember(g,{'strategyId', 'accountId','accountName', 'clOrdId', 'orderId', 'exOrdId', 'symbol','ordRejReasonDetail'})
        try
            order{i} = char(order_s.(g));
        catch
            order{i} = [];
        end
    else
        if ismember(g,{'createdAt', 'updatedAt'})
        try
            order{i} = char(order_s.(g).ToString('yyyy-MM-dd HH:mm:ss:fff'));
        catch
            order{i}= [];
        end
        else
            try
            order{i} =order_s.(g);
            catch
            order{i} = [];
            end
        end
    end
end
order = [info;order];
end

